**footnotes** welcomes contributions!

Please follow these guidelines when contributing, as it will give your pull 
request the best chance of being accepted:

# Requesting Features/Reporting Bugs

- To request a new feature or to report a bug, create an 
  [Issue](https://github.com/markcheret/footnotes/issues/new/choose) and choose
  the correct template

# Contributing Code

- **footnotes** uses [GitHub Flow](https://githubflow.github.io/)
- branch off of `main` to start developing (`git checkout -b <your branch>`)
- ensure that your new branch has a descriptive name
- create a remote copy of your new branch (`git push`)
- create a draft [pull request](https://github.com/markcheret/footnotes/compare)
  to merge your branch with `main` — tag any related Issues, and if they are
  assigned to a Project board, this will automatically move them into the 
  ‘In Progress’ bucket
- when you think you're finished, un-draft your pull request — if the PR is 
  assigned to a Project board, this will automatically move it and any related
  Issues into the ‘Review in progress’ bucket

# Commits

- **footnotes** uses [Conventional Commits](https://www.conventionalcommits.org)
- keep individual commits as small as possible

# Versioning

- **footnotes** uses [Semantic Versioning](https://semver.org/)

# Translating

- Translations are welcome!
